Subject: bug#29801: 25.3; ispell cannot detect installed dictionaries

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Dec 2017 11:15:10 +0200

> From: Basilio <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Dec 2017 23:13:24 +0200
> 
> >> ~ % aspell -vv                         
> >> @(#) International Ispell Version 3.1.20 (but really Aspell 0.60.7-rc1)
> >
> > That's the problem, I think: that "-rc1" at the end of the version
> > string.  Emacs looks for a version string with this regexp:
> >
> >  (search-forward-regexp "(but really Aspell \\([0-9]+\\.[0-9\\.-]+\\)?)" nil t)
> >
> > which doesn't match 0.60.7-rc1.

This is now fixed in the emacs-26 branch.

> Is there an easy way to solve it on my level and chances that there will be some
> solution developed upstream? I'm not very proficient in Lisp unfortunately.

Change this regexp in ispell.el:

  "(but really Aspell \\([0-9]+\\.[0-9\\.-]+\\)?)"

into this:

  "(but really Aspell \\([0-9]+\\.[0-9.]+\\([-._+ ]?[a-zA-Z0-9]+\\)?\\)?)"

Then byte-compile ispell.el to produce a modified ispell.elc, restart
Emacs if it's running, and you should be all set.

I'd be interested to know whether this fix makes the problem go away
for you.

Thanks.